Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 430912 - sys-apps/systemd-sysv-utils unmask request
Summary: sys-apps/systemd-sysv-utils unmask request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo systemd Team
URL:
Whiteboard:
Keywords: PATCH, PMASKED
Depends on: 399615 491742
Blocks:
  Show dependency tree
 
Reported: 2012-08-11 11:21 UTC by Gao Xiang
Modified: 2014-03-18 22:38 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
init-0.ebuild (init-0.ebuild,633 bytes, text/plain)
2012-08-11 11:22 UTC, Gao Xiang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gao Xiang 2012-08-11 11:21:54 UTC
virtual/init-0.ebuild depends on >=sys-apps/sysvinit-2.86-r6 or sys-process/runit.  But sys-apps/systemd-sysv-utils is also another init program.

Reproducible: Always
Comment 1 Gao Xiang 2012-08-11 11:22:27 UTC
Created attachment 320994 [details]
init-0.ebuild
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2012-08-12 14:42:25 UTC
Comment on attachment 320994 [details]
init-0.ebuild

--- init-0.ebuild       2012-05-16 18:55:44.000000000 +0200
+++ -   2012-08-12 16:42:16.448176182 +0200
@@ -12,7 +12,7 @@
 IUSE=""
 
 RDEPEND="!prefix? (
-       kernel_linux? ( || ( >=sys-apps/sysvinit-2.86-r6 sys-process/runit ) )
+       kernel_linux? ( || ( >=sys-apps/sysvinit-2.86-r6 sys-process/runit sys-apps/systemd-sysv-utils ) )
        kernel_FreeBSD? ( sys-freebsd/freebsd-sbin )
        )"
 DEPEND=""
Comment 3 Jeroen Roovers (RETIRED) gentoo-dev 2012-08-12 14:46:27 UTC
And now with the whitespace done correctly:

--- init-0.ebuild       16 May 2012 07:40:58 -0000      1.16
+++ init-0.ebuild       12 Aug 2012 14:43:50 -0000
@@ -12,7 +12,13 @@
 IUSE=""
 
 RDEPEND="!prefix? (
-       kernel_linux? ( || ( >=sys-apps/sysvinit-2.86-r6 sys-process/runit ) )
+       kernel_linux? (
+       || (
+               >=sys-apps/sysvinit-2.86-r6
+               sys-process/runit
+               sys-apps/systemd-sysv-utils
+               )
+       )
        kernel_FreeBSD? ( sys-freebsd/freebsd-sbin )
        )"
 DEPEND=""


Also:
profiles/package.mask:
# Michał Górny <mgorny@gentoo.org> (21 Jan 2012)
# Blocks sysvinit yet doesn't provide all tools provided by it.
# Masking until we get the necessary tools out of sysvinit.
sys-apps/systemd-sysv-utils
Comment 4 SpanKY gentoo-dev 2012-08-12 18:09:02 UTC
(In reply to comment #3)

can't tell if your indentation is off or bugzilla mangled the comment.  either way, i'd leave it up to the systemd guys to pick out the value for this.
Comment 5 Kirill Elagin 2013-04-14 10:50:23 UTC
Is that right that we are waiting for (closed for some reason) bug 399615?

Any temporary workaround for those who want to get `reboot` etc. symlinks to `systemctl`?
Comment 6 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-04-14 10:56:53 UTC
(In reply to comment #5)
> Is that right that we are waiting for (closed for some reason) bug 399615?

Yes, mostly that.

> Any temporary workaround for those who want to get `reboot` etc. symlinks to
> `systemctl`?

Well, you can just unmask the package and use it. Just note that you'd have a few tools missing, like wall, mesg, last, fstab-decode, killall5, pidof.
Comment 7 Kirill Elagin 2013-04-14 11:02:31 UTC
Missing them makes me sad, especially `pidof`. I think I'll just remove intefering binaries from sysvinit evuild in my local overlay for now.

Any chances to speed up the proccess? Are they refusing to split those tools out into, I don't know, sysvinit-tools (like Fedora does)?
Comment 8 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-04-14 11:04:43 UTC
(In reply to comment #7)
> Missing them makes me sad, especially `pidof`. I think I'll just remove
> intefering binaries from sysvinit evuild in my local overlay for now.
> 
> Any chances to speed up the proccess? Are they refusing to split those tools
> out into, I don't know, sysvinit-tools (like Fedora does)?

You can try to reopen the bug, and give a big 'ping' there. But the maintainer mostly doesn't care.
Comment 9 Kirill Elagin 2013-04-14 11:05:32 UTC
Yeah, I was going to do that…
Comment 10 Kirill Elagin 2013-04-14 11:09:47 UTC
Seems that I can't reopen it, I hope just pinging will be enough…
Comment 11 Alexander Tsoy 2013-11-20 09:26:02 UTC
Is killall5/pidof really needed for unmasking sys-apps/systemd-sysv-utils?
Comment 12 Alexander Tsoy 2013-11-20 09:39:11 UTC
BTW, as a temporary solution, systemd-sysv-utils can provide killall5/pidof symlinks to busybox. :D
Comment 13 David Heidelberg (okias) 2014-01-27 22:43:36 UTC
(In reply to Michał Górny from comment #6)
> Well, you can just unmask the package and use it. Just note that you'd have
> a few tools missing, like wall, mesg, last, fstab-decode, killall5, pidof.

wall [0]
mesg [0]
last [0]
fstab-decode [0]
killall5 [0]
pidof [sys-process/procps (/bin/pidof)]

[0] not available

So, first one fixed, 5 to go, I'll try search Arch forums :)
Comment 14 David Heidelberg (okias) 2014-01-27 22:50:52 UTC
wall [util-linux --enable-wall]
mesg [util-linux USE="+tty-helpers"]
last [util-linux --enable-last ? ]
fstab-decode [0]
killall5 [0]
Comment 15 Alexander Tsoy 2014-01-27 23:09:41 UTC
(In reply to David Heidelberger (okias) from comment #14)
> wall [util-linux --enable-wall]
> mesg [util-linux USE="+tty-helpers"]

Both wall and mesg are provided by util-linux[tty-helpers] (>=2.23.2-r2)

> last [util-linux --enable-last ? ]

bug 491742
Comment 16 Samuli Suominen gentoo-dev 2014-01-28 05:03:16 UTC
There is no such thing as virtual/init in Portage, nor there should be. Adjusting $summary accordingly.
Comment 17 Kirill Elagin 2014-02-15 08:49:41 UTC
So, are we all set to go?
Comment 18 Samuli Suominen gentoo-dev 2014-02-15 08:58:51 UTC
(In reply to Kirill Elagin from comment #17)
> So, are we all set to go?

looks like it, unless killall5 and/or fstab-decode is required by something and I wouldn't worry about them too much before someone files bugs about them missing, and that won't be happening before this beast is actually released to ~arch

i'll let systemd maintainers unmask this.
Comment 19 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-02-15 10:44:51 UTC
Bumped and unmasked. Since there's no virtual/init anymore, I guess that's all.
Comment 20 David Heidelberg (okias) 2014-02-15 12:03:13 UTC
AMAZING! THANK YOU GUYS.